Subject: Re: [PATCH v2 2/2] powerpc/mm: Change the swap encoding in pte.

From: Michael Ellerman <[email-masked]>
Date: Thu, 18 Jun 2015 14:16:00 +1000

On Wed, 2015-06-17 at 16:14 -0500, Scott Wood wrote:
> On Wed, 2015-06-17 at 19:45 +1000, Michael Ellerman wrote:
> > On Wed, 2015-06-17 at 08:21 +0530, Aneesh Kumar K.V wrote:
> > > "Aneesh Kumar K.V" <[email-masked]> writes:
> > > 
> > > 
> > > Hi Scott,
> > > 
> > > > Current swap encoding in pte can't support large pfns
> > > > above 4TB. Change the swap encoding such that we put
> > > > the swap type in the PTE bits. Also add build checks
> > > > to make sure we don't overlap with HPTEFLAGS.
> > > > 
> > > 
> > > Can you please review this w.r.t 64bit booke ? 
> 
> It looks OK.
> 
> I'm curious why _PAGE_BIT_SWAP_TYPE is 2 -- it seems like it could be 
> any value >= 1 that isn't large enough to cause a conflict. Does 
> something get stored in that second bit?
> 
> > I booted it on our p5020ds FWIW.
> 
> Actively using swap?

Yeah good point, it wasn't.

I ran 4 make -j kernel builds in parallel which seemed to do the trick:

               total       used       free     shared    buffers     cached
  Mem:       4053952    4038324      15628        344       2880      26932
  -/+ buffers/cache:    4008512      45440
  Swap:      7918588    6102800    1815788

Of course it went OOM not long after that, but it's still pinging and it's
running fine, just spending all its time printing the OOM kill info to the
console.

cheers